Bug 155981 - "Insert Record" dialog is closed after error
"Insert Record" dialog is closed after error
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Show Data
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 10:41 UTC by Roman Mostyka
Modified: 2009-07-03 05:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-12-23 10:41:25 UTC
1. Connect to some DB.
2. Rightclick some of it's table and choose "View Data".
3. Press "Insert Record(s)" button, enter the same values as presented in some existing record and click "OK".

Result: Error message appears, but after closing it, "Insert Record" dialog also disappears. It is very inconvenient if
user entered a lot of records and made mistakes. It will be better to ask if there is a need to revise data and insert it.
Comment 1 Jiri Rechtacek 2009-02-10 15:39:42 UTC
Reassigned to new owner.
Comment 2 Jiri Skrivanek 2009-07-02 15:55:20 UTC
Fixed.
core-main #fe95744fe046
Comment 3 Quality Engineering 2009-07-03 05:59:10 UTC
Integrated into 'main-golden', will be available in build *200907030200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fe95744fe046
User: Jiri Skrivanek <jskrivanek@netbeans.org>
Log: #155981 - Insert dialog is not closed if one insert command fails. Also added proper handling of AWT threading.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo